/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FORN                                                     */
/* Tabela : FORNECEDOR                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 27/04/2000 - Yoris L. de Souza                                             */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_FORN
BEFORE INSERT OR UPDATE OR DELETE
ON FORNECEDOR FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUFORN := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDTPIJURFORN,0) <> NVL(:NEW.IDTPIJURFORN,0))  OR
         (NVL(:OLD.NRINSJURFORN,0) <> NVL(:NEW.NRINSJURFORN,0))  OR
         (NVL(:OLD.NMRAZSOCFORN,0) <> NVL(:NEW.NMRAZSOCFORN,0))  OR
         (NVL(:OLD.NMFANTFORN,0)   <> NVL(:NEW.NMFANTFORN,0))    OR
         (NVL(:OLD.CDFORNECED,0)   <> NVL(:NEW.CDFORNECED,0))    OR
         (NVL(:OLD.IDTPFRETFORN,0) <> NVL(:NEW.IDTPFRETFORN,0))  OR
         (NVL(:OLD.CDTIPCOB,0)     <> NVL(:NEW.CDTIPCOB,0))      OR
         (NVL(:OLD.CDFORMPGTO,0)   <> NVL(:NEW.CDFORMPGTO,0))    OR
         (NVL(:OLD.IDTPFORPGTFO,0) <> NVL(:NEW.IDTPFORPGTFO,0))  OR
         (NVL(:OLD.NRDIAPGFIXFO,0) <> NVL(:NEW.NRDIAPGFIXFO,0))  OR
         (NVL(:OLD.NRPARCPGTOFO,0) <> NVL(:NEW.NRPARCPGTOFO,0))  OR
         (NVL(:OLD.IDUTDIAPGTFO,0) <> NVL(:NEW.IDUTDIAPGTFO,0))  OR
         (NVL(:OLD.VRPEDESCFORN,0) <> NVL(:NEW.VRPEDESCFORN,0))  OR
         (NVL(:OLD.IDSITUCADA,0)   <> NVL(:NEW.IDSITUCADA,0))    OR
         (NVL(:OLD.IDTPDESCFORN,0) <> NVL(:NEW.IDTPDESCFORN,0))  OR
         (NVL(:OLD.IDGERCONTPGT,0) <> NVL(:NEW.IDGERCONTPGT,0))  OR
         (NVL(:OLD.CDSEGMER,0)     <> NVL(:NEW.CDSEGMER,0))      OR
         (NVL(:OLD.CDQUALIF,0)     <> NVL(:NEW.CDQUALIF,0))      OR
         (NVL(:OLD.DSEMAILCOT,0)   <> NVL(:NEW.DSEMAILCOT,0))    OR
         (NVL(:OLD.IDFORNAUTO,0)   <> NVL(:NEW.IDFORNAUTO,0))    OR
         (NVL(:OLD.DTVALQUALIF,TO_DATE('31/12/1899','DD/MM/YYYY')) <>
          NVL(:NEW.DTVALQUALIF,TO_DATE('31/12/1899','DD/MM/YYYY')))  OR
         (NVL(:OLD.DSMAILCOTCOP,0) <> NVL(:NEW.DSMAILCOTCOP,0))  OR
         (NVL(:OLD.IDTIPOFORN,0)   <> NVL(:NEW.IDTIPOFORN,0))    OR
         (NVL(:OLD.CDGRUPOFISC,0)  <> NVL(:NEW.CDGRUPOFISC,0))   OR
         (NVL(:OLD.NRINSESTFORN,0) <> NVL(:NEW.NRINSESTFORN,0))  OR
         (NVL(:OLD.CDCLIENTE,0)    <> NVL(:NEW.CDCLIENTE,0))     OR
         (NVL(:OLD.CDMODDOCFISC,0) <> NVL(:NEW.CDMODDOCFISC,0))  OR
         (NVL(:OLD.IDUTILZIPAF,0) <> NVL(:NEW.IDUTILZIPAF,0))    OR
         (NVL(:OLD.IDGERAFDTENT, 0) <> NVL(:NEW.IDGERAFDTENT,0)) OR
         (NVL(:OLD.IDFORMPGFORN,0) <> NVL(:NEW.IDFORMPGFORN,0))  OR
         (NVL(:OLD.CDFORNERELAC,0) <> NVL(:NEW.CDFORNERELAC,0))  OR
         (NVL(:OLD.IDBLOQCMPSAFFOR,0) <> NVL(:NEW.IDBLOQCMPSAFFOR,0)) OR
         (NVL(:OLD.CDGRUPFORN,0) <> NVL(:NEW.CDGRUPFORN,0)) THEN
         :NEW.DTULTATUFORN := SYSDATE;

      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('FORNECEDOR', '', 'CDFORNECED='||:OLD.CDFORNECED||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE FORNECEDOR MODIFY DTULTATUFORN DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_FORN','4.11.175'); END;
/

